{% extends 'base.html.twig' %}

{% block title %}Examen liste{% endblock %}
{% form_theme form_search 'bootstrap_4_layout.html.twig' %}

{% block body %}

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Recherche </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            {{ form_start(form_search) }}
            <div class="row">
                <div class="col-md-3">
                    {{ form_row(form_search.session,{'value':app.request.get('session')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.niveau,{'value':app.request.get('niveau')}) }}
                </div>
                <div class="col-md-2" style="margin-top: 25px;">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-search" title="Chercher"></span>
                    </button>
                    <a href="{{ path('examen_index') }}" class="btn btn-danger"><span
                                class="glyphicon glyphicon-refresh"
                                title="Actualiser"></span>
                    </a>
                </div>
            </div>
            {{ form_end(form_search) }}
        </div>
    </div>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Examens </h3>
        </div>
        <div class="box-body">
            {% if app.request.get('session') %}
                {% if is_granted('ROLE_DOYEN') or is_granted('ROLE_SECRETAIRE_GENERAL') %}
                    {% if validEtp1_session == 0 %}
                        <div class="text-right">
                            <a href="{{ path('session_valider_etp1',{'id':app.request.get('session')}) }}"
                               class="btn btn-warning btn_valid_session">Valider session</a>
                        </div>
                    {% endif %}
                {% endif %}


                {% if is_granted('ROLE_CHEF_DEPARTEMENT') and validEtp1_session==1 %}
                    {% if validEtp2_session == 0  and app.user.departement.id not in tab_depart_valid %}
                        <div class="text-right">
                            <a href="{{ path('session_valider_etp2',{'id':app.request.get('session')}) }}"
                               class="btn btn-warning btn_valid_session">Valider session</a>
                        </div>
                    {% endif %}
                {% endif %}
                {% if ((is_granted('ROLE_DOYEN') or is_granted('ROLE_SECRETAIRE_GENERAL')) and validEtp1_session==1) or ((is_granted('ROLE_CHEF_DEPARTEMENT') or is_granted('ROLE_SCOLARITE')) and validEtp2_session==1) %}
                    <div class="text-right">
                        {% if is_granted('ROLE_SCOLARITE') %}
                            <a href="{{ path('salle_surveille',{'id':app.request.get('session')}) }}"
                               target="_blank" class="btn btn-info"><i class="glyphicon glyphicon-print" title="Imprimer fiche de présence enseignant surveillant"></i> Fiche
                                présence</a>
                            <a href="{{ path('correction_part',{'id':app.request.get('session')}) }}"
                               target="_blank" class="btn btn-info"><i class="glyphicon glyphicon-print" title="Imprimer fiche de part de correction "></i> Correction
                                part</a>
                            <a href="{{ path('convocation_ens',{'id':app.request.get('session')}) }}"
                               target="_blank" class="btn btn-info"><i class="glyphicon glyphicon-print" title="Imprimer fiche de convocation enseignant surveillant"></i>
                                Convocation</a>
                            <a href="{{ path('calendrier_matricule',{'id':app.request.get('session')}) }}"
                               target="_blank" class="btn btn-info"><i class="glyphicon glyphicon-print" title="Imprimer emploi étudiant par groupe"></i> Emploi
                                groupe</a>
                            <a href="{{ path('calendrier_niveau',{'id':app.request.get('session')}) }}" target="_blank"
                               class="btn btn-info"><i class="glyphicon glyphicon-print" title="imprimer emploi examen par niveau"></i> Emploi
                                d'examen</a>
                        {% endif %}
                        <span class="badge" style="background-color: #00a65a;font-size: 18px;"><i
                                    class="glyphicon glyphicon-check"></i> Session validé</span>
                    </div>
                {% endif %}
                <br>
            {% endif %}
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>Session</th>
                    <th>Niveau</th>
                    <th>Matiere</th>
                    <th>Type matière</th>
                    <th>Type de passage</th>
                    <th>Langue matière</th>
                    <th>Enseignant responsable</th>
                    <th>Nombre etudiant</th>
                    <th>Date examen</th>
                    <th>Heure examen</th>
                    {% if (validEtp1_session==0 and (is_granted('ROLE_SCOLARITE') or is_granted('ROLE_DOYEN') or is_granted('ROLE_SECRETAIRE_GENERAL'))) or (validEtp2_session==0 and is_granted('ROLE_CHEF_DEPARTEMENT')   and app.user.departement.id not in tab_depart_valid) %}
                        <th>Action</th>
                    {% endif %}
                    {% if (validEtp1_session==0 and (is_granted('ROLE_SCOLARITE'))) %}
                        <th>Action</th>
                    {% endif %}
                    {% if validEtp2_session==1 and (is_granted('ROLE_SCOLARITE') or is_granted('ROLE_AGENT')) %}
                        <th>Affecter</th>
                    {% endif %}
                    {% if validEtp2_session==1 and (is_granted('ROLE_CHEF_DEPARTEMENT')) %}
                        <th>Correction</th>
                    {% endif %}
                </tr>
                </thead>
                <tbody>
                {% for examen in examens %}
                    <tr>

                        <td> {{ examen.session.libellesession }} {{ examen.session.semestre.libelleSemestreAr }}</td>
                        <td>{{ examen.niveau.libelleNiveauAr }}</td>
                        <td>{{ examen.matiere.libelleMatiereAr }}</td>
                        <td>{{ examen.matiere.typematiere.libelleTypeAr }}</td>
                        <td>{{ examen.matiere.typepassage.libellePassageAr }}</td>
                        <td>{{ examen.matiere.languematiere.libelleLangueAr }}</td>
                        <td> {% if examen.matiere.enseignant %}
                                {{ examen.matiere.enseignant.nomprenomar }}
                            {% endif %}</td>
                        <td>{{ examen.nombreetudiant }}</td>
                        <td>{{ examen.dateexamen|date('d/m/Y') }}</td>
                        <td>{{ examen.heureexamen }} الساعة</td>
                        {% if (validEtp1_session==0 and (is_granted('ROLE_SCOLARITE') or is_granted('ROLE_DOYEN') or is_granted('ROLE_SECRETAIRE_GENERAL'))) or (validEtp2_session==0 and is_granted('ROLE_CHEF_DEPARTEMENT')  and app.user.departement.id not in tab_depart_valid) %}
                            <td>
                                <a>
                                    <button class="btn btn-success btn_edit_examen"
                                            url="{{ path('examen_edit', {'id':examen.id}) }}"><span
                                                class="glyphicon glyphicon-pencil" title="Modifier"></span>
                                    </button>
                                </a>
                            </td>

                        {% endif %}
                        {% if (validEtp1_session==0 and (is_granted('ROLE_SCOLARITE'))) %}

                            <td> {{ include('examen/_delete_form.html.twig') }} </td>
                        {% endif %}
                        {% if validEtp2_session==1 and (is_granted('ROLE_SCOLARITE') or is_granted('ROLE_AGENT')) %}
                            <td>
                                <a href="{{ path('examen_show', {'id': examen.id}) }}">
                                    <button
                                            class="btn btn-primary btn_examen_groupe"><span
                                                class="glyphicon glyphicon-hand-right"
                                                title="crée groupe examen"></span>
                                    </button>
                                </a>
                            </td>
                        {% endif %}
                        {% if validEtp2_session==1 and (is_granted('ROLE_CHEF_DEPARTEMENT')) %}
                            <td>
                                <a href="{{ path('examen_correction', {'id': examen.id}) }}">
                                    <button
                                            class="btn btn-primary"><span
                                                class="glyphicon glyphicon-hand-right"
                                                title="Definir part enseignant correcteur"></span>
                                    </button>
                                </a>
                            </td>
                        {% endif %}
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="5">pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align="center" class="navigation">
                {{ knp_pagination_render(examens) }}
            </div>
            <div class="modal fade" id="modalExamen" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_examen"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}

    <script>

        $('body').on('click', '.btn_edit_examen', function (event) {
            $('#modalExamen').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_examen').html('Modifier examen');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });

        $('body').on('click', '.edit_examen', function (event) {

            var form = $('#form_add_examen');
            var formData = new FormData(document.getElementById("form_add_examen"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_examen').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalExamen').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.btn_del_examen', function (event) {
            var name_examen = $(this).attr('name_examen');
            var id_examen = $(this).attr('id_examen');
            $('#modalExamen').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_examen').html('Supprimer examen');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer examen: <b>' + name_examen + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_examen" onclick="confirmer_delete_examen(' + id_examen + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_examen(id_examen) {
            $('#form_delete_examen_' + id_examen).submit();
        }

        function supprimer_examen(name_examen) {
            $('#modalExamen').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_examen').html('Supprimer examen');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer examen: ' + name_examen);
            return false;
        }

        $('body').on('click', '.btn_valid_session', function () {
            if (!confirm('voulez-vous vraiment valider cette session')) {
                return false;
            }
        })
    </script>

{% endblock %}